require "player"
require "enemy"
require "bullet"

function love.load()
	love.graphics.setBackgroundColor( 255, 255, 255 )
	enemy:load( 400, 400, 32, 32 )
end

function love.draw()
	player:draw()
	enemy:draw()
	bullet:draw()
end

function love.update(dt)
	player:update(dt)
	bullet:update(dt)
end

function love.mousepressed( bullet_x, bullet_y )
	bullet:load( bullet_x, bullet_y, 2 )
end